View Issue Details

This bug affects 1 person(s).
 16
IDProjectCategoryView StatusLast Update
18074Bug reportsSurvey takingpublic2022-05-23 11:36
Reporterajacquemin Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.28.x 
Summary18074: Exit and clear survey doesn't work
Description

Hello,

The "Exit and clear survey" function doesn't work anymore.

We tested with zilla Firefox 99 and Microsoft Edge, using a default theme (fruity).

The problem exists in versions 3.28.9+220503 and 3.28.8+220426

Thanks in advance

Steps To Reproduce

Steps to reproduce

Start a survey
Click on "Exit and clear survey" and then on "OK" to confirm

Expected result

The survey should be cleared

Actual result

Nothing happen
A JavaScript error appears in the browser console :
Uncaught TypeError: e.originalEvent is undefined
<anonymous> https://sondages-test.domain.fr/assets/packages/limesurvey/survey.js:420
jQuery 8
confirmSurveyDialog https://sondages-test.domain.fr/assets/packages/limesurvey/survey.js:305
jQuery 2
survey.js:420:21
<anonyme> https://sondages-test.domain.fr/assets/packages/limesurvey/survey.js:420
jQuery 8
confirmSurveyDialog https://sondages-test.domain.fr/assets/packages/limesurvey/survey.js:305
jQuery 2

TagsNo tags attached.
Bug heat16
Complete LimeSurvey version number (& build)3.28.9+220503
I will donate to the project if issue is resolvedYes
BrowserFirefox + Edge
Database type & versionMariaDB
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version7.3

Relationships

related to 18026 assignedgabrieljenik Session expire message when submit button is clicked twice 
related to 18096 testinggabrieljenik Unable to save survey with top link (and nothing happen) 
related to 18098 testinggabrieljenik jumping to place in question index not working 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ajacquemin

ajacquemin

2022-05-03 15:00

reporter  

buglimesurvey.png (50,621 bytes)   
buglimesurvey.png (50,621 bytes)   
gabrieljenik

gabrieljenik

2022-05-04 19:47

manager   ~69395

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2397

ajacquemin

ajacquemin

2022-05-06 15:12

reporter   ~69471

Hello gabrieljenik,

Thanks for your quick response!

I applied your patch to our test website and it fixed the issue: no more JavaScript error, and the answer is correctly deleted from DB.

Thank you very much �

gabrieljenik

gabrieljenik

2022-05-06 15:21

manager   ~69474

:) Thanks!

DenisChenu

DenisChenu

2022-05-11 15:40

developer   ~69582

I didn't see this one,
Yes the commit can fix other issues.

gabrieljenik

gabrieljenik

2022-05-18 14:02

manager   ~69777

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33489

LimeBot

LimeBot

2022-05-23 11:36

administrator   ~69980

Fixed in Release 3.28.12+220524

Related Changesets

LimeSurvey: 3.x-LTS eaf351eb

2022-05-18 14:02:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18074: Exit and clear survey doesn't work (#2397) Affected Issues
18074
mod - assets/packages/limesurvey/survey.js Diff File

Issue History

Date Modified Username Field Change
2022-05-03 15:00 ajacquemin New Issue
2022-05-03 15:00 ajacquemin File Added: buglimesurvey.png
2022-05-03 19:19 galads Assigned To => gabrieljenik
2022-05-03 19:19 galads Status new => assigned
2022-05-04 19:47 gabrieljenik Status assigned => testing
2022-05-04 19:47 gabrieljenik Note Added: 69395
2022-05-04 19:47 gabrieljenik Bug heat 0 => 2
2022-05-06 15:12 ajacquemin Note Added: 69471
2022-05-06 15:12 ajacquemin Bug heat 2 => 4
2022-05-06 15:21 gabrieljenik Note Added: 69474
2022-05-11 14:49 gabrieljenik Relationship added related to 18026
2022-05-11 15:00 gabrieljenik Relationship added related to 18096
2022-05-11 15:00 gabrieljenik Relationship added related to 18098
2022-05-11 15:40 DenisChenu Note Added: 69582
2022-05-11 15:40 DenisChenu Bug heat 4 => 6
2022-05-18 14:01 c_schmitz Bug heat 6 => 14
2022-05-18 14:02 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS eaf351eb
2022-05-18 14:02 gabrieljenik Note Added: 69777
2022-05-18 14:02 gabrieljenik Resolution open => fixed
2022-05-18 14:02 c_schmitz Status testing => resolved
2022-05-23 11:36 LimeBot Note Added: 69980
2022-05-23 11:36 LimeBot Status resolved => closed
2022-05-23 11:36 LimeBot Bug heat 14 => 16